PHRASE-SEARCH(1)

NAME
phrase-search - search an indexed local NCBI PubMed archive

SYNOPSIS
phrase-search [-h|-help|--help] [-path dir] -count|-counts|-query|-filter|-link|-exact|-title|-words|-pairs|-fields|-terms|-totals query...|-convert dbas type type [key]|-lookup tag theme...

DESCRIPTION
phrase-search searches an indexed local NCBI PubMed archive (as prepared by index-pubmed(1)).

OPTIONS

-h|-help|--help
    Print usage information.

-path dir
    Search the local archive in dir.

-count
    Print terms and counts, merging wildcards.

-counts
    Expand wildcards; print individual term counts.

-query
    Search on words or phrases in Boolean formulas.

-filter
    Filter piped-in output from a previous (quite possibly remote) query.

-exact
    Strict search for article round-tripping.

-title
    Exact search limited to indexed title field.

-link
    Follow links by the given tag (e.g. CITED), merging any duplicates.

-words
    Combine searches for individual informative words.

-pairs
    Combine searches for pairs of adjacent informative words.

-fields|-terms
    Interpret the query as a field name, and list that field's known terms. With an empty query, list supported fields.

-totals
    Like -fields, but with term counts.

query...
    What to search for in the above modes; may contain standard Boolean operators AND, OR, and NOT, using parentheses as needed for grouping.

-convert dbas type type [key]
    Convert identifiers in the specified database from one type to another, accepting either a single identifier on the command line or a newline-delimited list on standard input. The database may be any of
    mesh
        Medline subject headings in general
    chem
        MeSH chemicals
    disz
        MeSH diseases
    gene
        Genes

    and the type may be any of
    Name
        official name
    Code
        internal identifier
    Tree
        path within MeSH tree (except for gene)
    Desc
        description (only for gene)
    Term
        synonym (except for gene)

-lookup tag theme...
    Look up cross references between internal identifiers read from standard input, where tag identifies a pair of databases (e.g., chdi for chemicals and diseases) and theme... are theme codes of particular interest (with p and m standing in for + and - respectively).

ENVIRONMENT

EDIRECT_PUBMED_MASTER
    Local archive directory to use in the absence of -path/-master. Expected to hold an absolute path; mandatory when not supplying a path on the command line.

SEE ALSO
cit2pmid(1), download-ncbi-data(1), edict(1), fetch-pubmed(1), filter-stop-words(1), index-pubmed(1), rchive(1), theme-aliases(1), word-at-a-time(1), xtract(1).